h3llo cloudDOCS

Удалить проект

Удаление каскадное — все ресурсы внутри проекта будут удалены. Защитите критичные проекты ролью Owner + WebAuthn.

DELETE
/projects/{projectId}

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (h3pat_...) или access-token из OIDC exchange.

In: header

Path Parameters

projectId*string

ID проекта, например p-9k1m2n

Match^p-[a-z0-9]+$

Response Body

application/json

application/problem+json

application/problem+json

curl -X DELETE "https://api.h3llo.cloud/v1/projects/string"
{
  "id": "op-91283",
  "status": "pending",
  "progress": 0,
  "result_url": "http://example.com",
  "error": {
    "type": "http://example.com",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string",
    "code": "string",
    "trace_id": "string"
  },
  "started_at": "2019-08-24T14:15:22Z",
  "finished_at": "2019-08-24T14:15:22Z"
}
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "code": "string",
  "trace_id": "string"
}
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "code": "string",
  "trace_id": "string"
}